import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import axios from 'axios'
import api from '@api/api.ts'
import * as echarts from 'echarts'

Vue.config.productionTip = false;
Vue.prototype.axios = axios;
Vue.prototype.$api = api;
App.mpType = 'app';

Vue.prototype.$echarts = echarts;
const app = new Vue({
	api,
    ...App,
	
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif